Bug 1889776 - [validation_json.py callback] Exclude gathering facts action logs in the simplified validation output when it is not failing
Summary: [validation_json.py callback] Exclude gathering facts action logs in the simp...
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: validations-common
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: z3
: 16.1 (Train on RHEL 8.2)
Assignee: Gaël Chamoulaud
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1889785
TreeView+ depends on / blocked
 
Reported: 2020-10-20 14:34 UTC by Gaël Chamoulaud
Modified: 2020-11-18 16:51 UTC (History)
2 users (show)

Fixed In Version: validations-common-1.1.2-1.20200914180305.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 758943 None MERGED Exclude non failing gathering facts action in simplified result 2020-11-10 18:53:17 UTC

Description Gaël Chamoulaud 2020-10-20 14:34:41 UTC
The simplified validation_output dictionary generated by the custom callback should only contain failing and warning tasks. When gathering fact, the task result always contains a warnings key set to an empty list. In conclusion, the task logs related to the gathering fact action are included in the simplified output and it should only be included when there is actually real warnings.


Note You need to log in before you can comment on or make changes to this bug.